/*****************************************************************************/
/*****************************************************************************/
//
// File Name:   BORDER.DSL
// Description: Demonstration of rotating border using flash clocks and
//              special EDF flash modes. Requires both EDF and IDM to
//              be fitted. Demonstrates that effects such as colour rolls
//              can operate simultaneously with rotating border.
//
// Author:	RAC
// Date:        13.05.2001
//
/*****************************************************************************/
/*****************************************************************************/

num_displays 3          // set maximum number of displays
\-                      // block any flash override
edf_script              // insist that EDF is fitted
idm_script              // insist that QUICC-IDM is fitted

// set up flash clocks for clockwise rotation
flash_rate 0            // assures consistent setting
idm_flash1 2 1          // asserted once every 3 cycles
idm_flash2 1 2          // asserted once every 3 cycles
idm_count2 1            // assures clockwise rotation
flash_rate 100          // start the flash clock

// generate the special user defined flashing character
edf_copy_char 002 032   // <space>
edf_copy_char 003 042   // *

// set up the colour plane contrast for full buffered colour roll
edf_user_cont meld_smooth_yr meld_smooth_ry
edf_user_buff meld_smooth_yg meld_smooth_gy

// The display frame, with the three way flashing border
// The \C and \D flags will switch the character when flash asserted
// The \c switch will illuminate the character when both clocks idle
// Using the user defined chars for \C and \D and a normal * for \c
"\~\C\a002\D\a002\c*\C\a002\D\a002\c*\C\a002\D\a002\c*\C\a002\D\a002\c*\C\a002\D\a002\c*\C\a002\D\a002\c*\C\a002\D\a002\c*\C\a002\D\a002\c*"
"\~\c*\-  \yTHIS IS A SPECIAL   \~\D\a002"
"\~\D\a002\-   \oFLASHING BORDER    \~\c*"
"\~\c*\D\a002\C\a002\c*\D\a002\C\a002\c*\D\a002\C\a002\c*\D\a002\C\a002\c*\D\a002\C\a002\c*\D\a002\C\a002\c*\D\a002\C\a002\c*\D\a002\C\a002"
out

// demonstrates that full buffered roll can operate while rotating
:loop1
edf_full_buff down 30 20
edf_full_buff up 30 20
jump loop1

/*****************************************************************************/
/********* End of File ******** End of File ******** End of File *************/

