/*****************************************************************************/
/*****************************************************************************/
//
// File Name:	DEMO1.DSL
// Description: QDSL Demonstration file for 1 panel systems
//
// Author:	RAC
// Date:        01.11.99
//
/*****************************************************************************/
/*****************************************************************************/

\-				// block any flash override

num_displays 1			// specify only one display to be used
old_file                        // specify old fonts used in file

:main

/*****************************************************************************/
// introduction

blank 500			// blank display for 500 millisec

mode pad			// enable space padding

"\gWelcome"
" to the"
"\r\f* QDSL *\g\-"		// display red flashing text
" demo!"
out 4000			// output and wait 4 seconds

"\gThe term"
"\r \"QDSL\"\g"
"stands"
"for..."
\e
out 3000			// output and wait 3 seconds

\r\b				// blank display, with red attrib
scroll				// scroll left at default rate

"\rQ\yEDD9008"
"\rD\yISPLAY"
"\rS\yCRIPT"
"\rL\yANGUAGE"
scroll				// scroll left at default rate
pause 4				// wait for 4 seconds

\g\e				// set line 1 attrib for clean scroll
\g\e				// ditto for line 2
\r\e				// ditto for line 3
\r\e				// ditto for line 4
scroll				// scroll left at default rate

"\gWritten"
"\g  by"
"\rRobert"
"\rCoward"
scroll				// scroll left at default rate
pause 4				// wait for 4 seconds

mode null			// disable space padding

/*****************************************************************************/
// simple features

:feature1

blank 500			// blank for a short time

"\rQDSL\g can\e"
"display\e"
"\yvarious\e"
"\yeffects:\e"
out 4000

:rand1				// loop label for rand colours
"\gRandom\e"
"\~COLOURS\e"			// display random colours
"\gScrolled\e"
"\sCOLOURS\e"			// display sequenced colours
out 100				// display, and wait for 100 millisec
jump rand1 40			// loop round 40 times

"\gFlash\e"
"\f\rMODE 1\-\e"		// display flash mode 1
"\gFlash\e"
"\x\rMODE 2\-\e"		// display flash mode 2
out 4000

:contrast
"\gVarious\e"
"\rContrast\e"
"\yLevels\e"
"\y  (34)\e"
out 1000
contrast 24
\l4
"\y  (24)\e"
out text 1000
contrast 16
\l4
"\y  (16)\e"
out text 1000
contrast 8
\l4
"\y  (8)\e"
out text 1000
contrast 0
\l4
"\y  (0)\e"
out text 1000

\b				// ensure display blanked
\l2 \y
" Smooth\e"
" Fades\e"
out
contrast 0			// set contrast to 0
cont_val 34			// set dest contrast to 34
:cont1
\y \b
out attrib			// change to yellow attrib
fade 20				// fade up with 20ms intervals
milli 100
fade 20				// fade down with 20ms intervals
\r \b 
out attrib			// change to red attrib
fade 20				// fade up with 20ms intervals
milli 100
fade 20				// fade down with 20ms intervals
\g \b
out attrib			// change to green attrib
fade 20				// fade up with 20ms intervals
milli 100
fade 20				// fade down with 20ms intervals

jump cont1 1			// cycle round 1 more time

blank	 			// blank for a short time
contrast 34			// restore contrast

"\rVarious\e"
"\y\f Flash\-\e"
"\g Rates\e"
"\y 5 Hz\e"
out
flash_rate 110
pause 2
\l4
"\y 2 Hz\e"
out
flash_rate 250
pause 2
\l4
"\y 1 Hz\e"
out
flash_rate 500
pause 3
flash_rate 250

/*****************************************************************************/
// scrolling effects

\b 				// blank display
scroll				// scroll left at default rate

//----------------------------------------------------------------------------
// left scroll

\s \a42 \>7			// put in a row of 8 stars in sequenced col
"\g Scroll\e"
"\r  Left\e"
\s \a42 \>7			// put in a row of 8 stars in sequenced col
scroll				// scroll left at default rate
pause 3				// wait for 3 seconds

scroll				// scroll blank stuff left at default rate
millisec 500			// wait for 500 milliseconds

//----------------------------------------------------------------------------
// right scroll

\s \a42 \>7			// put in a row of 8 stars in sequenced col
"\g Scroll\e"
"\r Right\e"
\s \a42 \>7			// put in a row of 8 stars in sequenced col
scroll right			// scroll right at default rate
pause 3				// wait for 3 seconds

scroll right			// scroll right at default rate
millisec 500			// wait for 500 milliseconds

//----------------------------------------------------------------------------
// upwards scroll

\s \a42 \>7			// put in a row of 8 stars in sequenced col
"\g Scroll\e"
"\r   Up\e"
\s \a42 \>7			// put in a row of 8 stars in sequenced col
scroll up 20			// scroll up with slight delay
pause 3				// wait for 3 seconds

scroll up 20			// scroll right at default rate
millisec 500			// wait for 500 milliseconds

//----------------------------------------------------------------------------
// downwards scroll

\s \a42 \>7			// put in a row of 8 stars in sequenced col
"\g Scroll\e"
"\r  Down\e"
\s \a42 \>7			// put in a row of 8 stars in sequenced col
scroll down 20			// scroll down with slight delay
pause 3				// wait for 3 seconds

scroll down 20			// scroll down at default rate
millisec 500			// wait for 500 milliseconds

//----------------------------------------------------------------------------
// horizontal interleaving

\s \a42 \>7			// put in a row of 8 stars in sequenced col
"\g Scroll\e"
"\r Horiz\e"
\s \a42 \>7			// put in a row of 8 stars in sequenced col
scroll horiz			// scroll horizontally at default rate
pause 3				// wait for 3 seconds

scroll horiz			// scroll horizonatlly at default rate
millisec 500			// wait for 500 milliseconds

//----------------------------------------------------------------------------
// exploding scroll

\s \a42 \>7			// put in a row of 8 stars in sequenced col
"\g Scroll\e"
"\rExplode\e"
\s \a42 \>7			// put in a row of 8 stars in sequenced col
scroll explode 10		// scroll explode at spec rate
pause 3				// wait for 3 seconds

scroll explode 10		// scroll explode at spec rate
millisec 500			// wait for 500 milliseconds

//----------------------------------------------------------------------------
// imploding scroll

\s \a42 \>7			// put in a row of 8 stars in sequenced col
"\g Scroll\e"
"\rImplode\e"
\s \a42 \>7			// put in a row of 8 stars in sequenced col
scroll implode 10		// scroll implode at spec rate
pause 3				// wait for 3 seconds

scroll implode 10		// scroll implode at spec rate
millisec 500			// wait for 500 milliseconds

/*****************************************************************************/
// comparison of scrolling and wiping effects

//----------------------------------------------------------------------------
// left scroll

blank 500

\g \b				// blank whole display, green attrib
\l2				// move to line 2
" Normal\e"
" Scroll\e"
out 500

\b
"\g12345678"
"\r Normal\e"
"\r Scroll\e"
"\g12345678"
scroll				// scroll left at default rate
pause 3				// wait for 3 seconds

//----------------------------------------------------------------------------
// left wipe

blank 500

\g \b				// blank whole display, green attrib
\l2				// move to line 2
" Normal\e"
"  Wipe\e"
out 500

\b
"\g12345678"
"\r Normal\e"
"\r  Wipe\e"
"\g12345678"
wipe				// wipe left at default rate
pause 3				// wait for 3 seconds


//----------------------------------------------------------------------------
// left scroll over wipe

blank 500

\g \b				// blank whole display, green attrib
\l2				// move to line 2
" Scroll\e"
"  Wipe\e"
out 500

\b
"\g12345678"
"\r Scroll\e"
"\r  Wipe\e"
"\g12345678"
scroll_wipe			// scroll left at default rate
pause 3				// wait for 3 seconds

//----------------------------------------------------------------------------
// left wipe over scroll

blank 500

\g \b				// blank whole display, green attrib
\l2				// move to line 2
"  Wipe\e"
" Scroll\e"
out 500

\b
"\g12345678"
"\r  Wipe\e"
"\r Scroll\e"
"\g12345678"
wipe_scroll			// wipe left at default rate
pause 3				// wait for 3 seconds

/*****************************************************************************/
// demo of line by line scrolls

//----------------------------------------------------------------------------
// line by line left

blank 500

\g \b
" Scroll\e"
"  Line\e"
"   By\e"
"  Line\e"
out 500

\r \b
" Scroll\e"
"  Line\e"
"   By\e"
"  Line\e"
scroll line left 50		// line scroll left at specified rate
pause 2				// wait for 4 seconds

scroll line right 50		// line scroll right at specified rate
pause 2				// wait for 4 seconds

/*****************************************************************************/
// demo of random scatter fill

blank 500
jump rskip1			// miss out first stage on entry

:rand2
\~ \a192 \>31			// fill with random coloured blocks
rand 10				// run random filler

:rskip1
\g
"Demo of\e"
"Random\e"
"Scatter\e"
"Effect\e"
rand 10				// run random filler with new effect
pause 1

\~ \a192 \>31			// fill with random coloured blocks
rand 10				// run random filler
\r
"Demo of\e"
"Random\e"
"Scatter\e"
"Effect\e"
rand 10				// run random filler with new effect
pause 1

jump rand2 1			// loop round once

\b				// blank display
rand 10				// take out blocks

/*****************************************************************************/
// demo of time and date

blank 500

:tdloop
"\yTime:\e"
\r \e				// ensure time displayed in red
time 8				// out buffer, and overlay time at pos 8
\l3				// move to line 3
"\yDate:\e"
\g \e				// ensure date displayed in green
date 24				// out buffer, and overlay date at pos 24
next sec			// wait until second changes
jump tdloop 10			// loop round 10 times

\b
scroll				// scroll out, replacing with blank screen

/*****************************************************************************/
// demo of single line scroll

"\s********"			// build initial display
"\g Scroll\e"
"\gOne Line\e"
"\s********"
out 500

empty				// ensure holding buff empty
\l3 \r \e			// blank line in red
scroll left 50			// scroll line out left
\l3				// move to line 3
"\rOne Line\e"			// just fill in line 3 in red
scroll left 50			// scroll line in left
pause 1

\l3 \y \e			// blank line in yellow
scroll right 50			// scroll line out left
\l3 				// move to line 3
"\yOne Line\e"			// just fill in line 3 in yellow
scroll right 50			// scroll line right
pause 1

\l3 \g \e			// blank line in green
scroll left 50			// scroll line out left
\l3
"\gOne Line\e"			// just fill in line 3 in green
scroll left 50			// scroll line left
pause 1

\b				// blank display
wipe interplode 20		// interplode it out!

/*****************************************************************************/
// demo of partial wipe

mode flush			// flush holding buffer

blank 500

\g
"********"			// build initial display
" Partial\e"
"  Wipe\e"
"********"
out 500

:partwipe

\y
\m0 "1" \m2 "3" \m4 "5" \m6 "7"		// first line of chars
\m24 "1" \m26 "3" \m28 "5" \m30 "7"	// second line of chars
wipe left 50			// wipe left
pause 1

\r
\m1 "2" \m3 "4" \m5 "6" \m7 "8"		// first line of chars
\m25 "2" \m27 "4" \m29 "6" \m31 "8"	// second line of chars
wipe right 50			// wipe horizontal
pause 1

\r \l2				// set to red, and move to line 2
" Partial\e"
"  Wipe\e"
wipe horiz 50			// wipe right
pause 2

mode keep			// retain holding buffer

/*****************************************************************************/
// demo of partial scroll

mode flush			// flush holding buffer

blank 500

\g
"********"			// build initial display
" Partial"
" Scroll "
"********"
out 500

\r
"8"
"678"
"45678"
"2345678"
scroll_wipe left 100		// scroll in new, wiping over old
pause 1

\y
"\m0011234567"
"\m01112345"
"\m021123"
"\m0311"
scroll_wipe right 100		// scroll in new, wiping over old
pause 2

\g
"*"
"ial"
"roll "
"*******"
scroll_wipe left 100		// scroll in new, wiping over old
pause 1

\g
"\m001*******"
"\m011 Part"
"\m021 Sc"
"\m031*"
scroll_wipe right 100		// scroll in new, wiping over old
pause 2

mode keep			// retain holding buffer

/*****************************************************************************/
// final fancy demo - blocks whizzing around central flashing message

blank 500

\g
"\a192\e"			// set up starting frame
" \r\x QDSL \g\- "		// use flash 2 for central text
" \r\fRULES!\g\- "		// use flash 1 for central text
"       \a192"
out both
:rings

empty				// empty holding buffer
\m1				// setup special part horiz scroll buffers
"       "
\m24
"       "
scroll normal text horiz 20	// scroll TEXT ONLY, with horiz interleave

empty				// empty holding buffer
\m0				// setup special part vertical scroll buffers
" "
\m8
" "
\m15
" "
\m16
" "
\m23
" "
\m31
" "
scroll normal text vert 40	// scroll TEXT ONLY, with vertical interleave

jump rings 25			// loop round 25 times


/*****************************************************************************/
// loop back to beginning

jump main

/*****************************************************************************/
/********* End of File ******** End of File ******** End of File *************/

